#!/bin/sh

# make sure the path to rule file and rule file name match your system
# changing below to require execution from within earc-edel root path

UF71PATH=/u0/unform71
FULLPATHRUL=/u0/unform_test/_sdsi/edoc_v71-3/enhance_sdsi_v71-3.rul

# must be executed from the dir where the script and sub folders reside
if [ ! -f "./esdsidemo2.sh" ]
	then
	echo "This script must be executed from the folder above the edemotxt folder,"
	echo "and should be the folder containing the eDeliver eArchive rule files."
	exit
fi

# must be root
if [ "`id|cut -f 1 -d '('`" != "uid=0" ]
	then
	echo "You must be the root user to run this script."
	exit
fi

echo ""
CONTINUE=x
while [ "$CONTINUE" != "y" -a "$CONTINUE" != "n" ]
 do
 echo "Do you wish to continue? (enter y or n below):"
 read CONTINUE
done

# clear old first
# make sure these paths match your installation!

# rm -rf $UF71PATH/arc/MyClient_Accounting 2>/dev/null
# rm -rf $UF71PATH/arc/MyClient_Sales 2>/dev/null    
# rm ./edemotxt/*.pdf 2>/dev/null

# now build demo archives...
for f in `ls ./edemobatch/*.txt`
do
 pdf=`echo $f | sed -e "s/\.txt/.pdf/"`
# enable 1 or the other of below 2 commands
# re laser -o tcp, change to a valid -o for your system
cmd="uf71c.sdsi -i $f -f $FULLPATHRUL -p pdf -o client:$pdf"
# cmd="uf71c.sdsi -i $f -f $FULLPATHRUL -p laser -o tcp:192.168.1.45"
 echo "$cmd"
 $cmd
done
